Summary:        C library for parsing command line parameters
Name:           popt
Version:        1.19
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/rpm-software-management/popt/
Source0:        http://ftp.rpm.org/popt/releases/popt-1.x/%{name}-%{version}.tar.gz

BuildRequires:  gcc make gettext

%description
command line option parsing library written in C.
enhancements to getopt:
1) popt is fully reentrant
2) popt can parse arbitrary argv[] style arrays while 
    getopt(3) makes this quite difficult
3) popt allows users to alias command line arguments
4) popt provides convenience functions for parsing strings
    into argv[] style arrays

%package devel
Summary:        Development files for the popt library
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description devel
header files, libraries and API documentations for popt C library

%package static
Summary:        Static library for parsing command line parameters
Requires:       %{name}-devel = %{version}-%{release}

%description static
static libraries of popt

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libpopt.la
mkdir -p %{buildroot}%{_sysconfdir}/popt.d/
%find_lang %{name}

%check
make check || (cat tests/*.log; exit 1)

%files -f %{name}.lang
%license COPYING
%{_sysconfdir}/popt.d/
%{_libdir}/libpopt.so.*

%files devel
%doc README
%{_libdir}/libpopt.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/popt.h
%{_mandir}/man3/popt.3*

%files static
%{_libdir}/libpopt.a

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 1.19-1
- Upgrade to 1.19

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 22 2022 Xun Zhong <invain@opencloudos.tech> - 1.18-1
- initial build
